Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511128 - bulk delete of resources fails when single resource is missing
Summary: bulk delete of resources fails when single resource is missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Jillian Tullo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest
Depends On: 1504693
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 18:06 UTC by Satoe Imaishi
Modified: 2018-03-06 15:14 UTC (History)
4 users (show)

Fixed In Version: 5.9.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1504693
Environment:
Last Closed: 2018-03-06 15:14:37 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:48:30 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:
https://github.com/ManageIQ/manageiq-api/commit/8d77e60f665a95beb49f74ea2f9f21efec982e22

commit 8d77e60f665a95beb49f74ea2f9f21efec982e22
Author:     Chris Arcand <chrisarcand@users.noreply.github.com>
AuthorDate: Tue Nov 7 23:43:35 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 17:39:44 2017 -0500

    Merge pull request #180 from jntullo/bz/bulk_delete
    
    Return correct action responses for bulk delete
    (cherry picked from commit 59102695a45f3e717e1df39085f1c59aa692ea19)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511128

 app/controllers/api/base_controller/generic.rb | 20 +++++++++-----------
 app/controllers/api/base_controller/results.rb |  6 +++++-
 spec/requests/authentications_spec.rb          |  8 ++++++++
 spec/requests/services_spec.rb                 | 16 ++++++++++++++++
 4 files changed, 38 insertions(+), 12 deletions(-)

Comment 3 Martin Kourim 2017-12-04 10:56:55 UTC
Verified using the "test_bulk_delete" automated test that the buld delete works as expected on 5.9.0.11


Note You need to log in before you can comment on or make changes to this bug.